<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCustomData Method (IEdmReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference5 Interface : GetCustomData Method (IEdmReference5)

Visual Basic
C#
C++/CLI

lDataID
  User-defined ID of data to get

poData
  Buffer in which to return data

Gets data stored with IEdmReference5::SetCustomData in this file reference.

# Syntax

Visual Basic |
--- | ---

    Function GetCustomData( _
       ByVal lDataID As System.Integer, _
       ByRef poData As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetCustomData(
       System.int lDataID,
       out System.object poData
    )

C++/CLI |
--- | ---

    System.bool GetCustomData(
    &   System.int lDataID,
    &   [Out] System.Object^ poData
    )

#### Parameters

lDataID
  User-defined ID of data to get
poData
  Buffer in which to return data

#### Return Value

True if the data was found, false if not

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The data was not found (pbFoundlt returned false).

# See Also

####

IEdmReference5 Interface
IEdmReference5 Members
IEdmReference5::SetCustomData Method ()

# Availability

Version 5.2 of SOLIDWORKS PDM Professional